<?php

namespace App\Entities\RespostaFormulario;

use App\Utils\Builder;
use App\Utils\Entity;

/**
 * Class RespostaFormularioBuilder
 *
 * @package App\Entities\RespostaFormulario
 */
class RespostaFormularioBuilder implements Builder {
	protected $id;
	protected $id_pergunta;
	protected $id_consulta;

	/**
	 *
	 * @param int $id
	 * @return $this
	 */
	public function setId(int $id): RespostaFormularioBuilder {

		$this->id = $id;
		return $this;

	}

	/**
	 *
	 * @param int $id_pergunta
	 * @return $this
	 */
	public function setIdPergunta(int $id_pergunta): RespostaFormularioBuilder {

		$this->id_pergunta = $id_pergunta;
		return $this;

	}

	/**
	 *
	 * @param int $id_consulta
	 * @return $this
	 */
	public function setIdConsulta(int $id_consulta): RespostaFormularioBuilder {

		$this->id_consulta = $id_consulta;
		return $this;

	}

	/**
	 *
	 * @return RespostaFormulario
	 */
	public function build(): RespostaFormulario {

		$resposta_formulario = new RespostaFormulario();
		if (isset( $this->id )) {
			$resposta_formulario->setid( $this->id );
		}
		if (isset( $this->id_pergunta )) {
			$resposta_formulario->setidPergunta( $this->id_pergunta );
		}
		if (isset( $this->id_consulta )) {
			$resposta_formulario->setidConsulta( $this->id_consulta );
		}
		return $resposta_formulario;

	}

}